Subject: [bug#73103] TR:

From: "Murilo" <[email-masked]>
Date: Tue, 17 Dec 2024 21:28:46 -0300

>>>   Alternatively, Zen browser publishes a tar, which
>>> should be easier both with the container and without.
>> Better install it with an scm if it's not to use AppImage. But do you have instructions to make work the tar?
> I don’t know how to do that.

If it helps I have the binary packaged in my channel, and have been maintaining
and using it since the early alphas on my guix system, as my primary browser for a
few months now.

Besides for streams not playing, it works flawlessly on my side (running on native wayland).

Feel free to have a look, use the channel or yoink the package definition :)

Just search in toys for it: https://toys.whereis.social/?search=zen-browser

>>> The best thing to do would of course be to package it inside guix,
>>> following icecat or librewolf’s example.
>> Exactly, I tried many times on my side but it's really difficult. Many way to skin a cat plus each software is it's own adventure even if you can take basis on sister package
>>
>
> Yeah, the browser packages look really complex.  Good luck to you if you
> decide to continue that route :)

I gave a go at it a while ago to try and package surfer (the tool to simplify
building ff forks), and the browser itself, but with little to no success, so I
gave up shortly after trying.